Bug 70915 - [NFS] Problems with nfs-mounted ISO9660 images (-o loop)
[NFS] Problems with nfs-mounted ISO9660 images (-o loop)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-08-06 16:52 EDT by Felix Miro
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Miro 2002-08-06 16:52:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
ls -l against nfs mounted cdrom image (/mnt/foo/testdir) eventually fails 
with 'ls: .: No such file or directory'. A cd /mnt/foo/testdir is required to 
re-establish the current directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.on anyhost:
mount -t iso9660 -o loop image.iso9660 /mnt/cdrom.image
image.iso9660 is ~264 MB.

2.on client:
mount -t nfs anyhost:/mnt/cdrom.image /mnt/foo
/mnt/foo/testdir has ~50 RPM files.

3.test script:

cd /mnt/foo/testdir
while [ 1 ]
  ls -l


Actual Results:  after 8 minutes, the test case returns the below output:

ls: .: No such file or directory
ls: .: No such file or directory
ls: .: No such file or directory
ls: .: No such file or directory

Expected Results:  Normal ls -l output showing 50 RPM files

Additional info:

System on which the image.iso9660 resides (anyhost) :
 Vendor: GenuineIntel
 Model:  Pentium III (Coppermine)
 Speed:  801.839 MHz
 Cache:  256 KB
 Memory: 128 MB
Linux  2.4.9-13 #1 Tue Oct 30 20:11:04 EST 2001 i686 unknown

Four 1392.825 MHz processors
Red Hat Linux release 7.3.93 (Limbo)
Linux  2.4.18-7.80smp #1 SMP Tue Jul 23 17:08:15 EDT 2002 i686 unknown unknown G
Comment 1 Felix Miro 2002-10-16 09:49:26 EDT
This problem also occurs on version 8.0. The only difference being that with 
8.0 the failure occurs in less than two minutes.
Comment 2 Bugzilla owner 2004-09-30 11:39:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.